Loading...
Searching...
No Matches
rpcinserter_base< T, Tfrom > Class Template Reference

Base class for registering a ControlPort Inserter. Produces a message. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcinserter_base (T *source, Tfrom(T::*func)())
| rpcinserter_base ()
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Protected Attributes

T * | _source
Tfrom(T::* | _func )()

## Detailed Description

template<typename T, typename Tfrom>
class rpcinserter_base< T, Tfrom >

Base class for registering a ControlPort Inserter. Produces a message.

## Constructor & Destructor Documentation

## rpcinserter_base() [1/2]

template<typename T, typename Tfrom>

rpcinserter_base< T, Tfrom >::rpcinserter_base | ( | T * | source,
|  | Tfrom(T::* | func )() )

inline

References _func, and _source.

Referenced by rpcbasic_inserter< T, Tfrom >::rpcbasic_inserter(), and rpcbasic_inserter< T, Tfrom >::rpcbasic_inserter().

## rpcinserter_base() [2/2]

template<typename T, typename Tfrom>

rpcinserter_base< T, Tfrom >::rpcinserter_base | ( |  | ) |

inline

## Member Function Documentation

## retrieve()

template<typename T, typename Tfrom>

pmt::pmt_t rpcinserter_base< T, Tfrom >::retrieve | ( |  | ) |

inline override virtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

## Member Data Documentation

## _func

template<typename T, typename Tfrom>

Tfrom(T::* rpcinserter_base< T, Tfrom >::_func) ()

protected

Referenced by rpcbasic_inserter< T, Tfrom >::retrieve(), rpcbasic_inserter< T, uint64_t >::retrieve(), and rpcinserter_base().

## _source

template<typename T, typename Tfrom>

T* rpcinserter_base< T, Tfrom >::_source

protected

Referenced by rpcbasic_inserter< T, Tfrom >::retrieve(), rpcbasic_inserter< T, uint64_t >::retrieve(), and rpcinserter_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h